Issue 123947 - fix stlport emulation when compiling in C++11 mode
Summary: fix stlport emulation when compiling in C++11 mode
Status: RESOLVED FIXED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: 4.1.0-dev
Hardware: All All
: P3 Normal (vote)
Target Milestone: 4.1.4
Assignee: Ariel Constenla-Haile
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 122766 122208
  Show dependency tree
 
Reported: 2014-01-02 14:10 UTC by hdu@apache.org
Modified: 2016-10-28 04:21 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---
arielch: 4.1.4_release_blocker+


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description hdu@apache.org 2014-01-02 14:10:08 UTC
The stlport wrappers use the system template librariesto behave as required by TR1 compliant template libraries. These system libraries are often only available in their own namespace, but the AOO codebase requires them to be also available in the std namespace, so the wrappers map them there.

When a compiler is in C++11 mode when building AOO in C++11 then the TR1 templates are already available in the std namespace and this results in a conflict with the wrappers that try to achieve the same.
Comment 1 SVN Robot 2014-01-02 14:20:44 UTC
"hdu" committed SVN revision 1554812 into trunk:
#i123947# fix stlport emulation wrappers when compiling in C++11 mode
Comment 2 hdu@apache.org 2014-01-02 14:34:15 UTC
Fixed with the commit above.
Comment 3 Ariel Constenla-Haile 2016-10-25 12:37:44 UTC
This should be merged in branch AOO414
Comment 4 Ariel Constenla-Haile 2016-10-25 13:04:34 UTC
functional header fix is missing.
Comment 5 SVN Robot 2016-10-25 13:39:31 UTC
"arielch" committed SVN revision 1766530 into trunk:
i123947 - fix stlport emulation wrappers when compiling in C++11 mode
Comment 6 SVN Robot 2016-10-25 13:47:09 UTC
"arielch" committed SVN revision 1766532 into branches/AOO414:
i123947 - fix stlport emulation wrappers when compiling in C++11 mode
Comment 7 Ariel Constenla-Haile 2016-10-28 04:21:11 UTC
Fixed on trunk and branch AOO414